#include <SoftwareSerial.h>
#include <Servo.h> 

Servo servoLeft;              // Define left servo
Servo servoRight;             // Define right servo

#define xbeeRx    A0           // DOUT to A0
#define xbeeTx    A1           // DIN to A1

SoftwareSerial Xbee (xbeeRx, xbeeTx);    //After motor serial

void setup() {
  servoLeft.attach(10);       // Left servo to pin 10
  servoRight.attach(9);       // Right servo to pin 9
  Serial.begin(9600);
  Xbee.begin(9600);
  delay(200);
  pinMode(13, OUTPUT);        // Show ready status
  digitalWrite(13, HIGH);
}

void loop() {
  readXbee();
  delay(50);
}

void readXbee() {
   if(Xbee.available()) { 
     char val = Xbee.read();
     Serial.println(val);
     controlMotor(val);
  }
}

void controlMotor(char val) {
  switch (val) {
    case ('c'):
      stopRobot();
      break;
    case ('u'):
      forward();
      break;
    case ('d'):
      reverse();
      break;
    case ('r'):
      turnRight();
      break;
    case ('l'):
      turnLeft();
      break;
  }
}

// Motion routines for forward, reverse, turns, and stop
void forward() {
  servoLeft.write(0);
  servoRight.write(180);
}
void reverse() {
  servoLeft.write(180);
  servoRight.write(0);
}
void turnRight() {
  servoLeft.write(180);
  servoRight.write(180);
}
void turnLeft() {
  servoLeft.write(0);
  servoRight.write(0);
}
void stopRobot() {
  servoLeft.write(90);
  servoRight.write(90);
}

